On Thu, Dec 31, 2009 at 2:56 PM, Fabio Tranchitella
<fa...@tranchitella.eu> wrote:
> ... things changed now: both 3.4.3 and 3.5.0 are visible; this morning when
> I checked, only 3.4.3 was visible, and thus my buildbot warned me that some
> dependencies in the ZTK were unsatisfied (and buildout tried to download
> 3.4.3 instead of 3.5.0).

What? setuptools and zc.buildout only use the simple view of packages
based on http://pypi.python.org/simple/ and then linking to
http://pypi.python.org/simple/zope.contenttype. This page always shows
all releases and doesn't care about the visibility status setting. The
PyPi pages are only for humans looking at packages. If your buildbot
warns or downloads 3.4.3 then there's something very funny going on
with your buildbot.

The current way PyPi shows packages to humans is obviously not
optimal, but not doing the tedious extra work and twiddling around
with those visibility status settings hardly counts as messing up. I'm
not aware of any release policy that requires us to do this extra
step.

Hanno
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
https://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope-announce
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to